This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 848529 - Creating a domain deployment spins and never uploads the WAR on IE8
Creating a domain deployment spins and never uploads the WAR on IE8
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
x86_64 Windows
high Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks: 849716
  Show dependency treegraph
 
Reported: 2012-08-15 16:14 EDT by Deon Ballard
Modified: 2013-09-01 06:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849716 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:12:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
example alert CLI script (1.35 KB, application/octet-stream)
2012-08-17 13:41 EDT, Deon Ballard
no flags Details
example bundle -- I don't think it does anything (4.67 KB, application/x-zip-compressed)
2012-08-17 14:38 EDT, Deon Ballard
no flags Details

  None (edit)
Comment 1 Deon Ballard 2012-08-15 16:32:21 EDT
Changing to core UI.
Comment 2 Deon Ballard 2012-08-15 16:39:55 EDT
Okay, I did a little more digging into content uploads.

Uploading a sample.war as a piece of content -- either through a Content tab for a resource or to Administration > Content Repository > repo -- works just fine on IE8.

Attempting to upload the same WAR as a child resource (Inventory > Create Child) never finishes on IE8. I tried this on both EAP 6 and JBAS 4 resources, and both of them spin fruitlessly.

I tested Inventory >  Create Child on FF 3.6 on Windows 7 and it works fine.
Comment 3 Mike Thompson 2012-08-16 16:17:45 EDT
There is a workaround for this one. The workaround is to use IE9 (or anything other than IE8).
Comment 6 Deon Ballard 2012-08-17 13:41:34 EDT
Created attachment 605238 [details]
example alert CLI script
Comment 7 Deon Ballard 2012-08-17 14:38:53 EDT
Created attachment 605250 [details]
example bundle -- I don't think it does anything

So, I tested this for bundles, and it behaves exactly the same as for alert + CLI. 

In the bundle creation wizard, when I try to upload the file and click next, the spinner spins endlessly and never goes to the next screen. I canceled the action after 7 mins in IE8.

However, when I tried to test it on FF, the bundle had actually been created, which meant the file upload succeeded.

The problem is, this bundle that I used does not require any additional files or any inputs, so it could simply complete the bundle creation. I don't know what would happen if the bundle required additional files or config; it may create an odd half-bundle state or it could fail silently.

I tested this in 3.1.1 in IE8 (failed), 3.1.1 on Firefox (succeeded), and 3.0.0 in IE8 (succeeded).
Comment 8 Mike Thompson 2012-08-20 12:41:17 EDT
The upload submit completion handlers were not getting registering properly in IE8. I subclassed /modules/enterprise/gui/coregui/src/main/java/org/rhq/enterprise/gui/coregui/client/components/upload/DynamicCallbackFormImpl.java to override the event registration and added an entry to the CoreGUI.gwt.xml to use the IE8 version when IE8 is detected (so as to isolate any risk with stability to other browsers).
Comment 9 Mike Thompson 2012-08-20 12:53:01 EDT
Master Commit id: 155c66f
Comment 10 Heiko W. Rupp 2013-09-01 06:12:02 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.